# Class SerializablePermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.io.SerializablePermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class SerializablePermission extends BasicPermission
This class is for Serializable permissions. A SerializablePermission contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Since:
  1.2
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SerializablePermission(String name)`
Creates a new SerializablePermission with the specified name.
`SerializablePermission(String name, String actions)`
Creates a new SerializablePermission object with the specified name.

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SerializablePermission

public SerializablePermission(String name)
Creates a new SerializablePermission with the specified name. The name is the symbolic name of the SerializablePermission, such as "enableSubstitution", etc.

Parameters:
  `name` - the name of the SerializablePermission.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.

### SerializablePermission

public SerializablePermission(String name, String actions)
Creates a new SerializablePermission object with the specified name. The name is the symbolic name of the SerializablePermission, and the actions String is currently unused and should be null.

Parameters:
  `name` - the name of the SerializablePermission.
  `actions` - currently unused and must be set to null
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.